Skip to content
ChartDeck Developer API docs Account Get an API key

GET /v1/lsr

#GET /v1/lsrgetLongShortRatio

Long/short ratio per bar of one venue

Scopemarket:read
Lowest tiersandbox
Weight (units)1 for a window whose oldest bar is within 30 days and at most 1,000 bars; 10 for older history
History each tier may readSandbox: 7 days; Starter: 30 days; Elite (included): 30 days; Developer: 180 days; Business: 365 days
Paginatedyes: follow meta.next_cursor
SDKPython client.market.long_short_ratio ยท JavaScript cd.market.longShortRatio

Parameters

ParameterInTypeDescription
venue requiredquerystringVenue id (see /v1/venues), lower case.
symbol requiredquerystringThe venue's symbol (BTCUSDT; see /v1/markets).
resquerystringResolution of the series (5, 15, 30, 60, 240, 1D).
fromquerystringStart, inclusive: unix seconds or RFC 3339.
toquerystringEnd, exclusive: unix seconds or RFC 3339. Default now.
limitqueryintegerRows per page, at most 5,000 (default 500).
cursorquerystringmeta.next_cursor of the previous page (opaque; bound to the route).

Errors

  • 400 invalid_param, invalid_cursor
  • 401 unauthorized: missing, unknown, revoked or expired key
  • 403 insufficient_scope, tier_required
  • 404 not_found, not_available, not_in_sandbox
  • 422 window_too_large
  • 429 rate_limited (per minute) or quota_exhausted (month; X-Quota-* headers, Retry-After = seconds to the next month); see Retry-After
  • 503 api_disabled, overloaded

Example

Shell
curl "https://api.chartdeck.trade/v1/lsr?venue=binance&symbol=BTCUSDT" \
  -H "Authorization: Bearer $CHARTDECK_API_KEY"
Python
from chartdeck import Client

client = Client()  # reads CHARTDECK_API_KEY
r = client.market.long_short_ratio(venue="binance", symbol="BTCUSDT")
print(r.data, r.meta["attribution"])
JavaScript
import { ChartDeck } from '@chartdeck/api';

const cd = new ChartDeck();  // reads CHARTDECK_API_KEY
const r = await cd.market.longShortRatio({ venue: "binance", symbol: "BTCUSDT" });
console.log(r.data, r.meta.attribution);

The Developer API documentation is in English.